package com.ruoyi.file.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 存放表对象 files_storage
 * 
 * @author cmc
 * @date 2022-09-06
 */
public class FilesStorage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 存放地址id */
    private String id;

    /** 存放地址 */
    @Excel(name = "存放地址")
    private String storageAddress;

    /** 管理人 */
    @Excel(name = "管理人")
    private String administrator;

    private SysUser user;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setStorageAddress(String storageAddress) 
    {
        this.storageAddress = storageAddress;
    }

    public String getStorageAddress() 
    {
        return storageAddress;
    }
    public void setAdministrator(String administrator) 
    {
        this.administrator = administrator;
    }

    public String getAdministrator() 
    {
        return administrator;
    }
    public void setUser(SysUser user)
    {
        this.user = user;
    }

    public SysUser getUser()
    {
        return user;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("storageAddress", getStorageAddress())
            .append("administrator", getAdministrator())
            .append("remark", getRemark())
            .toString();
    }
}
